Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.metadatatab.imports.wizard
Class AddedPrefixesTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          edu.stanford.smi.protegex.owl.ui.metadatatab.imports.wizard.AddedPrefixesTableModel

All Implemented Interfaces:
  Serializable, TableModel

    public class AddedPrefixesTableModel

extends AbstractTableModel

User: matthewhorridge
The University Of Manchester
Medical Informatics Group
Date: Sep 30, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

See Also:
  Serialized Form

Field Summary
`static int` | `NAMESPACE_COLUMN`
`static int` | `PREFIX_COLUMN`

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`AddedPrefixesTableModel(NamespaceManager manager, Collection addedPrefixes)`

Method Summary
`int` | `getColumnCount()`
`String` | `getColumnName(int column)`
`int` | `getRowCount()`
`Object` | `getValueAt(int rowIndex, int columnIndex)`
`boolean` | `isCellEditable(int rowIndex, int columnIndex)`
`void` | `setValueAt(Object aValue, int rowIndex, int columnIndex)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PREFIX_COLUMN

    public static final int PREFIX_COLUMN

See Also:
  Constant Field Values

### NAMESPACE_COLUMN

    public static final int NAMESPACE_COLUMN

See Also:
  Constant Field Values

Constructor Detail

### AddedPrefixesTableModel

    public AddedPrefixesTableModel(NamespaceManager manager,
                                   Collection addedPrefixes)

Method Detail

### getRowCount

    public int getRowCount()

### getColumnCount

    public int getColumnCount()

### getColumnName

    public String getColumnName(int column)

  Specified by:
    `getColumnName` in interface `TableModel`
  Overrides:
    `getColumnName` in class `AbstractTableModel`

### getValueAt

    public Object getValueAt(int rowIndex,
                             int columnIndex)

### isCellEditable

    public boolean isCellEditable(int rowIndex,
                                  int columnIndex)

  Specified by:
    `isCellEditable` in interface `TableModel`
  Overrides:
    `isCellEditable` in class `AbstractTableModel`

### setValueAt

    public void setValueAt(Object aValue,
                           int rowIndex,
                           int columnIndex)

  Specified by:
    `setValueAt` in interface `TableModel`
  Overrides:
    `setValueAt` in class `AbstractTableModel`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.